Skip to main content
`Ctrl`+`K`

# numpy.iscomplexobj

numpy.iscomplexobj(x)

  Check for a complex type or an array of complex numbers.

  The type of the input is checked, not the value. Even if the input has an imaginary part equal to zero, `iscomplexobj` evaluates to True.

  Parameters:
    x any

      The input can be of any type and shape.

  Returns:
    iscomplexobj bool

      The return value, True if x is of a complex type or has at least one complex element.

  See also

  `isrealobj`, `iscomplex`

  Examples

      >>> import numpy as np
      >>> np.iscomplexobj(1)
      False
      >>> np.iscomplexobj(1+0j)
      True
      >>> np.iscomplexobj([3, 1+0j, True])
      True